<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="overview-settings" xml:lang="cs">
  <info>
    <link type="guide" xref="index" group="settings"/>
    <revision version="0.1" date="2013-08-06" status="review"/>

    <credit type="author copyright">
      <name>David King</name>
      <email its:translate="no">davidk@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Pružný systém uživatelských nastavení</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Lucas Lommer</mal:name>
      <mal:email>llommer@svn.gnome.org</mal:email>
      <mal:years>2009.</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Marek Černocký</mal:name>
      <mal:email>marek@manet.cz</mal:email>
      <mal:years>2015.</mal:years>
    </mal:credit>
  </info>

<title>Správa nastavení</title>

<list>
  <item>
    <p><em style="strong">Vysokoúrovňový přístup k nastavením aplikací</em></p>
  </item>
  <item>
    <p><em style="strong">Snadné provázání nastavení s prvky uživatelského rozhraní</em></p>
  </item>
  <item>
    <p><em style="strong">Snadné změny pro správce balíčků a správce systémů</em></p>
  </item>
</list>

<p>Ukládejte uživatelská nastavení a nechte svoji aplikaci, aby na ně pomocí GSetting automaticky reagovala. Jako správce můžete snadno přepsat výchozí nastavení. S lehkostí uchovávejte širokou škálu typů dat, od celých čísel až po pole řetězců.</p>

<section id="what">
  <title>Co můžete dělat?</title>

  <p>Použijte API <em style="strong" xref="tech-gsettings">GSettings</em> ke GIO pro čtení a zápis <em style="strong">nastavení aplikace</em>. GSettings <em style="strong">transparentně využívá databázi nastavení konkrétní platformy</em>, takže je pak možné k úpravám použít nástroje dané platformy. Pomocí jednoduché funkce nechte <em style="strong">ovládací prvky uživatelského rozhraní, ať se aktualizují podle nastavení</em>.</p>

</section>

<!-- TODO: Write code sample.
<section id="samples">
 <title>Code samples</title>
 <list>
  <item><p>A sample we should write</p></item>
  <item><p><link xref="samples">More…</link></p></item>
 </list>
</section>
-->

<section id="realworld">
  <title>Reálné příklady</title>

  <p>Téměř všechny aplikace GNOME používají GSettings.</p>
  <list>
    <item>
      <p><em style="strong">Editor Dconf</em> je nástroj s grafickým uživatelským rozhraním sloužící ke správě předvoleb uložených pomocí GSettings v databázi dconf.</p>
      <p>( <link href="https://wiki.gnome.org/Apps/DconfEditor">Webové stránky</link> | <link href="https://gitlab.gnome.org/GNOME/dconf-editor/">Zdrojový kód</link> )</p>
    </item>
  </list>
</section>
</page>
